Update Organization
curl --request PUT \
--url https://allomia.com/api/organization/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phoneNumber": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://allomia.com/api/organization/{id}"
payload = {
"name": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phoneNumber": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: '<string>',
address: '<string>',
city: '<string>',
stateProvince: '<string>',
postalCode: '<string>',
country: '<string>',
phoneNumber: '<string>',
timezone: '<string>'
})
};
fetch('https://allomia.com/api/organization/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phoneNumber": "<string>",
"tenantId": "<string>",
"timezone": "<string>",
"createdAt": "<string>",
"createdBy": "<string>"
}Organizations (Tenant Only)
Update Organization
Updates an existing organization
PUT
/
api
/
organization
/
{id}
Update Organization
Update Organization
Updates an existing organization. This endpoint requires a valid tenant API key for authentication. While this is an update operation, thename and email fields are required and must be provided in the request body.
Headers
string
required
API key is required. Enter your tenant-specific API key in the format ‘Bearer
YOUR-API-KEY’
Path Parameters
string
required
The unique identifier of the organization to update
Body Parameters
string
required
The updated name of the organization
string
required
The updated email address for the organization
string
The updated street address of the organization
string
The updated city where the organization is located
string
The updated state or province where the organization is located
string
The updated postal code or ZIP code for the organization
string
The updated country where the organization is located
string
The updated contact phone number for the organization
string
The updated timezone for the organization. Must be one of the supported
timezone values: - America/New_York (Eastern Time) - America/Chicago (Central
Time) - America/Denver (Mountain Time) - America/Los_Angeles (Pacific Time) -
America/Anchorage (Alaska Time) - Pacific/Honolulu (Hawaii Time) -
America/Phoenix (Mountain Time - Arizona) - America/Toronto (Eastern Time) -
America/Vancouver (Pacific Time) - America/Edmonton (Mountain Time) -
America/Winnipeg (Central Time) - America/Halifax (Atlantic Time) -
America/St_Johns (Newfoundland Time) - Europe/London (British Time) -
Europe/Paris (Central European Time) - Europe/Helsinki (Eastern European Time)
- Asia/Dubai (Gulf Time) - Asia/Shanghai (China Time) - Asia/Tokyo (Japan Time) - Australia/Sydney (Australian Eastern Time) - Pacific/Auckland (New Zealand Time)
Response
string
The unique identifier for the organization
string
The updated name of the organization
string
The updated email address for the organization
string
The updated street address of the organization
string
The updated city where the organization is located
string
The updated state or province where the organization is located
string
The updated postal code or ZIP code for the organization
string
The updated country where the organization is located
string
The updated contact phone number for the organization
string
The tenant ID that the organization belongs to
string
The updated timezone for the organization
string
The timestamp when the organization was created (ISO 8601 format:
“2025-06-01T12:34:56Z”)
string
The ID of the user who created the organization
Example Request
curl -X PUT https://allomia.com/api/organization/a1b2c3d4-e5f6-7890-abcd-123456789012 \
-H "Authorization: Bearer YOUR-API-KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Valley Health Clinic - Downtown",
"email": "downtown@valleyhealthclinic.com",
"address": "456 Downtown Boulevard",
"city": "San Francisco",
"stateProvince": "CA",
"postalCode": "94102",
"country": "USA",
"phoneNumber": "+14155557890",
"timezone": "America/Los_Angeles"
}'
Example Response
{
"id": "a1b2c3d4-e5f6-7890-abcd-123456789012",
"name": "Valley Health Clinic - Downtown",
"email": "downtown@valleyhealthclinic.com",
"address": "456 Downtown Boulevard",
"city": "San Francisco",
"stateProvince": "CA",
"postalCode": "94102",
"country": "USA",
"phoneNumber": "+14155557890",
"tenantId": "tenant_123",
"timezone": "America/Los_Angeles",
"createdAt": "2025-06-01T12:34:56Z",
"createdBy": "b2c3d4e5-f6a7-8901-bcde-234567890123"
}
Error Responses
400: Invalid request data
400: Invalid request data
{
"error": "Missing required fields: name and email are required"
}
401: Unauthorized
401: Unauthorized
{
"error": "Invalid or missing API key"
}
404: Organization not found
404: Organization not found
{
"error": "Organization not found for the provided ID"
}
500: Error
500: Error
{
"error": "Internal server error occurred"
}